---
updatedAt: 2026-07-28T09:00:00.000Z
agentTools:
  projectIndex: https://docs.onramper.com/llms.txt
---

# Get Buy Quotes

Generates price quotes from all available providers based on the provided input parameters.

🛠️ Please Use [https://api-stg.onramper.com/](https://api-stg.onramper.com/) For Test Environments

<br />

<Callout icon="📘" theme="info">
  Onramper’s API is designed with a clear integration flow in mind. To get the best results, the order of your API calls matters: **first fetch assets, then payment methods, and finally quotes**. Following this sequence isn’t optional — it’s essential for optimal performance and accuracy.
</Callout>

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Onramper API Collection V2",
    "version": "1.0.0"
  },
  "servers": [
    {
      "url": "https://api.onramper.com"
    },
    {
      "url": "https://api-stg.onramper.com"
    }
  ],
  "tags": [
    {
      "name": "Quotes"
    }
  ],
  "paths": {
    "/quotes/{fiat}/{crypto}": {
      "get": {
        "tags": [
          "Quotes"
        ],
        "summary": "Get Buy Quotes",
        "description": "Generates price quotes from all available providers based on the provided input parameters.\n\n🛠️ Please Use [https://api-stg.onramper.com/](https://api-stg.onramper.com/) For Test Environments",
        "parameters": [
          {
            "name": "Authorization",
            "in": "header",
            "schema": {
              "type": "string"
            },
            "example": "pk_prod_01HETEQF46GSK6BS5JWKDF31BT"
          },
          {
            "name": "amount",
            "in": "query",
            "schema": {
              "type": "integer"
            },
            "description": "Transaction amount in selected fiat currency",
            "example": "100"
          },
          {
            "name": "paymentMethod",
            "in": "query",
            "schema": {
              "type": "string"
            },
            "description": "Payment method for the transaction",
            "example": "creditcard"
          },
          {
            "name": "uuid",
            "in": "query",
            "schema": {
              "type": "string"
            },
            "description": "Unique user id",
            "example": "acad3928-556f-48a1-a478-4e2ec76700cd"
          },
          {
            "name": "clientName",
            "in": "query",
            "schema": {
              "type": "string"
            },
            "description": "Client Name if applicable for client preferred recommendation",
            "example": "CakeWallet"
          },
          {
            "name": "type",
            "in": "query",
            "schema": {
              "type": "string"
            },
            "description": "Transaction type (buy/sell). Default buy",
            "example": "buy"
          },
          {
            "name": "walletAddress",
            "in": "query",
            "schema": {
              "type": "string"
            },
            "description": "Wallet Address (If applicable)",
            "example": "walletAddressHere"
          },
          {
            "name": "isRecurringPayment",
            "in": "query",
            "schema": {
              "type": "boolean"
            },
            "description": "Is the qupte for recurring payment ? Default false",
            "example": "false"
          },
          {
            "name": "country",
            "in": "query",
            "schema": {
              "type": "string"
            },
            "description": "Country override. If not specified, the country will be automatically determined based on the IP address from which the request originates.",
            "example": "us"
          },
          {
            "name": "txInitiation",
            "in": "query",
            "schema": {
              "type": "boolean"
            },
            "description": "if offrampCallbackUrl is being provided for transaction initiation of offramping then the value should be true else false",
            "example": "false"
          },
          {
            "name": "platform",
            "in": "query",
            "schema": {
              "type": "string",
              "enum": [
                "web",
                "mobile-ios",
                "mobile-android",
                "webview-ios",
                "webview-android",
                "browser-extension",
                "desktop"
              ]
            },
            "description": "Where your integration runs. Providers that require platform whitelisting are omitted from the results when this is absent. Send the same value in the checkout request body.",
            "example": "mobile-ios"
          },
          {
            "name": "fiat",
            "in": "path",
            "schema": {
              "type": "string"
            },
            "required": true,
            "description": "Source currency",
            "example": "eur"
          },
          {
            "name": "crypto",
            "in": "path",
            "schema": {
              "type": "string"
            },
            "required": true,
            "description": "Destination currency",
            "example": "btc"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "headers": {
              "Content-Type": {
                "schema": {
                  "type": "string",
                  "example": "application/json"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "type": "object"
                },
                "examples": {
                  "example-0": {
                    "summary": "Get Quotes 200 | success",
                    "value": [
                      {
                        "rate": 24138.08409757557,
                        "networkFee": 0,
                        "transactionFee": 0,
                        "payout": 0.00398,
                        "availablePaymentMethods": [
                          {
                            "paymentTypeId": "creditcard",
                            "name": "Credit Card",
                            "icon": "https://cdn.onramper.com/icons/payments/creditcard.svg"
                          },
                          {
                            "paymentTypeId": "sepainstant",
                            "name": "SEPA Instant",
                            "icon": "https://cdn.onramper.com/icons/payments/sepa.svg"
                          }
                        ],
                        "ramp": "moonpay",
                        "paymentMethod": "creditcard",
                        "quoteId": "01H985NH79FW951SKERQ45JMYXmoonpay",
                        "recommendations": [
                          "LowKyc",
                          "BestPrice"
                        ]
                      },
                      {
                        "ramp": "fonbnk",
                        "paymentMethod": "creditcard",
                        "errors": [
                          {
                            "type": "NoSupportedPaymentFound",
                            "errorId": 6103,
                            "message": "No supported payments found"
                          }
                        ],
                        "quoteId": "01H985NH79FW951SKERQ45JMYXfonbnk"
                      }
                    ]
                  },
                  "example-1": {
                    "summary": "Get Quotes 200 | partial errors",
                    "value": [
                      {
                        "ramp": "coinify",
                        "paymentMethod": "creditcard",
                        "errors": [
                          {
                            "type": "NoSupportedPaymentFound",
                            "errorId": 6103,
                            "message": "No supported payments found",
                            "name": "Error"
                          }
                        ],
                        "quoteId": "01JAADWSDRBEKAWCF9FTB00MG8coinify"
                      },
                      {
                        "ramp": "utorg",
                        "paymentMethod": "creditcard",
                        "errors": [
                          {
                            "type": "NoSupportedPaymentFound",
                            "errorId": 6103,
                            "message": "No supported payments found",
                            "name": "Error"
                          }
                        ],
                        "quoteId": "01JAADWSDRBEKAWCF9FTB00MG8utorg"
                      },
                      {
                        "ramp": "stripe",
                        "paymentMethod": "creditcard",
                        "errors": [
                          {
                            "type": "NoSupportedPaymentFound",
                            "errorId": 6103,
                            "message": "No supported payments found",
                            "name": "Error"
                          }
                        ],
                        "quoteId": "01JAADWSDRBEKAWCF9FTB00MG8stripe"
                      },
                      {
                        "ramp": "gatefi",
                        "paymentMethod": "creditcard",
                        "errors": [
                          {
                            "type": "NoSupportedPaymentFound",
                            "errorId": 6103,
                            "message": "No supported payments found",
                            "name": "Error"
                          }
                        ],
                        "quoteId": "01JAADWSDRBEKAWCF9FTB00MG8gatefi"
                      },
                      {
                        "ramp": "onrampmoney",
                        "paymentMethod": "creditcard",
                        "errors": [
                          {
                            "type": "NoSupportedPaymentFound",
                            "errorId": 6103,
                            "message": "No supported payments found",
                            "name": "Error"
                          }
                        ],
                        "quoteId": "01JAADWSDRBEKAWCF9FTB00MG8onrampmoney"
                      },
                      {
                        "ramp": "alchemypay",
                        "paymentMethod": "creditcard",
                        "errors": [
                          {
                            "type": "NoSupportedPaymentFound",
                            "errorId": 6103,
                            "message": "No supported payments found",
                            "name": "Error"
                          }
                        ],
                        "quoteId": "01JAADWSDRBEKAWCF9FTB00MG8alchemypay"
                      },
                      {
                        "ramp": "sardine",
                        "paymentMethod": "creditcard",
                        "errors": [
                          {
                            "type": "NoSupportedPaymentFound",
                            "errorId": 6103,
                            "message": "No supported payments found",
                            "name": "Error"
                          }
                        ],
                        "quoteId": "01JAADWSDRBEKAWCF9FTB00MG8sardine"
                      },
                      {
                        "ramp": "localramp",
                        "paymentMethod": "creditcard",
                        "errors": [
                          {
                            "type": "NoSupportedPaymentFound",
                            "errorId": 6103,
                            "message": "No supported payments found",
                            "name": "Error"
                          }
                        ],
                        "quoteId": "01JAADWSDRBEKAWCF9FTB00MG8localramp"
                      },
                      {
                        "ramp": "onmeta",
                        "paymentMethod": "creditcard",
                        "errors": [
                          {
                            "type": "NoSupportedPaymentFound",
                            "errorId": 6103,
                            "message": "No supported payments found",
                            "name": "Error"
                          }
                        ],
                        "quoteId": "01JAADWSDRBEKAWCF9FTB00MG8onmeta"
                      },
                      {
                        "ramp": "transfi",
                        "paymentMethod": "creditcard",
                        "errors": [
                          {
                            "type": "NoSupportedPaymentFound",
                            "errorId": 6103,
                            "message": "No supported payments found",
                            "name": "Error"
                          }
                        ],
                        "quoteId": "01JAADWSDRBEKAWCF9FTB00MG8transfi"
                      },
                      {
                        "ramp": "guardarian",
                        "paymentMethod": "creditcard",
                        "errors": [
                          {
                            "type": "NoSupportedPaymentFound",
                            "errorId": 6103,
                            "message": "No supported payments found",
                            "name": "Error"
                          }
                        ],
                        "quoteId": "01JAADWSDRBEKAWCF9FTB00MG8guardarian"
                      },
                      {
                        "ramp": "topper",
                        "paymentMethod": "creditcard",
                        "errors": [
                          {
                            "type": "NoSupportedPaymentFound",
                            "errorId": 6103,
                            "message": "No supported payments found",
                            "name": "Error"
                          }
                        ],
                        "quoteId": "01JAADWSDRBEKAWCF9FTB00MG8topper"
                      },
                      {
                        "ramp": "fonbnk",
                        "paymentMethod": "creditcard",
                        "errors": [
                          {
                            "type": "NoSupportedPaymentFound",
                            "errorId": 6103,
                            "message": "No supported payments found",
                            "name": "Error"
                          }
                        ],
                        "quoteId": "01JAADWSDRBEKAWCF9FTB00MG8fonbnk"
                      },
                      {
                        "ramp": "banxa",
                        "paymentMethod": "creditcard",
                        "errors": [
                          {
                            "type": "NoSupportedPaymentFound",
                            "errorId": 6103,
                            "message": "No supported payments found",
                            "name": "Error"
                          }
                        ],
                        "quoteId": "01JAADWSDRBEKAWCF9FTB00MG8banxa"
                      },
                      {
                        "ramp": "neocrypto",
                        "paymentMethod": "creditcard",
                        "errors": [
                          {
                            "type": "NoSupportedPaymentFound",
                            "errorId": 6103,
                            "message": "No supported payments found",
                            "name": "Error"
                          }
                        ],
                        "quoteId": "01JAADWSDRBEKAWCF9FTB00MG8neocrypto"
                      },
                      {
                        "ramp": "koywe",
                        "paymentMethod": "creditcard",
                        "errors": [
                          {
                            "type": "NoSupportedPaymentFound",
                            "errorId": 6103,
                            "message": "No supported payments found",
                            "name": "Error"
                          }
                        ],
                        "quoteId": "01JAADWSDRBEKAWCF9FTB00MG8koywe"
                      },
                      {
                        "ramp": "gateconnect",
                        "paymentMethod": "creditcard",
                        "errors": [
                          {
                            "type": "NoSupportedPaymentFound",
                            "errorId": 6103,
                            "message": "No supported payments found",
                            "name": "Error"
                          }
                        ],
                        "quoteId": "01JAADWSDRBEKAWCF9FTB00MG8gateconnect"
                      }
                    ]
                  }
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "headers": {
              "Content-Type": {
                "schema": {
                  "type": "string",
                  "example": "application/json"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "type": "object"
                },
                "example": {
                  "message": "Unauthorized"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "headers": {
              "Content-Type": {
                "schema": {
                  "type": "string",
                  "example": "application/json"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "type": "object"
                },
                "example": {
                  "message": "Forbidden"
                }
              }
            }
          }
        }
      }
    }
  }
}
```